Page MenuHomePhabricator

A claim key should have a single $ in it
Closed, ResolvedPublic

Description

2013-05-14 21:20:01 mw1200 wikidatawiki: [00213f00] /w/api.php Exception from line 910 of /usr/local/apache/common-local/php-1.22wmf3/extensions/Wikibase/DataModel/DataModel/Entity/Entity.php: A claim key should have a single $ in it
#0 /usr/local/apache/common-local/php-1.22wmf3/extensions/Wikibase/repo/includes/api/SetReference.php(84): Wikibase\Entity::getIdFromClaimGuid('None')
#1 /usr/local/apache/common-local/php-1.22wmf3/extensions/Wikibase/repo/includes/api/SetReference.php(59): Wikibase\Api\SetReference->getEntityContent()
#2 /usr/local/apache/common-local/php-1.22wmf3/includes/api/ApiMain.php(840): Wikibase\Api\SetReference->execute()
#3 /usr/local/apache/common-local/php-1.22wmf3/includes/api/ApiMain.php(380): ApiMain->executeAction()
#4 /usr/local/apache/common-local/php-1.22wmf3/includes/api/ApiMain.php(351): ApiMain->executeActionWithErrorHandling()
#5 /usr/local/apache/common-local/php-1.22wmf3/api.php(77): ApiMain->execute()
#6 /usr/local/apache/common-local/w/api.php(3): require('/usr/local/apac...')
#7 {main}


Version: master
Severity: normal

Details

Reference
bz48473

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:35 AM
bzimport set Reference to bz48473.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.May 14 2013, 9:21 PM

Related URL: https://gerrit.wikimedia.org/r/63787 (Gerrit Change Id388b510a18ddd3ccd899b78c97c77650df4dd2b)

aude added a comment.May 15 2013, 10:10 AM
  • Bug 48186 has been marked as a duplicate of this bug. ***

https://gerrit.wikimedia.org/r/63787 (Gerrit Change Id388b510a18ddd3ccd899b78c97c77650df4dd2b) | change APPROVED and MERGED [by Tobias Gritschacher]

Verified in Wikidata demo sprint 22-6